SULOGIN(8)

NAZWA
sulogin - login w trybie jednoużytkownikowym

SKŁADNIA
sulogin [opcje] [tty]

OPIS
sulogin jest przywoływany przez init, gdy system przechodzi w tryb jednoużytkownikowy.

Wyświetlany jest następujący komunikat zachęty:

    Give root password for system maintenance (Podaj hasło roota do konserwacji systemu)
    (or type Control-D for normal startup) (lub wciśnij ^D aby kontynuować zwykły start):

Gdy konto roota jest zablokowane, to powyższa zachęta nie jest wyświetlana, a sulogin zachowuje się tak, jakby podano prawidłowe hasło roota.

sulogin będzie podłączony do bieżącego terminala lub do opcjonalnego urządzenia tty podanego w wierszu polecenia zwykle (/dev/console).

Po tym, jak użytkownik wyjdzie z trybu jednoużytkownikowego lub wciśnie control-D po wyświetleniu zachęty, system będzie kontynuował rozruch.

OPCJE

-e, --force
    Jeśli domyślna metoda pozyskania hasła roota z systemu za pomocą getpwnam(3) nie powiedzie się, to sprawdzane są pliki /etc/passwd i /etc/shadow. Jeśli są one uszkodzone lub nie istnieją lub gdy konto roota jest zablokowane symbolem ! lub * na początku hasła, to sulogin wywoła powłokę roota bez pytania o hasło.

    Opcji -e należy używać tylko, gdy jest się pewnym, że konsola jest fizycznie zabezpieczona przed nieautoryzowanym dostępem.

-p, --login-shell
    Podanie ten opcji spowoduje, że sulogin uruchomi proces powłoki jako powłokę zgłoszeniową.

-t, --timeout sekundy
    Określa maksymalny czas oczekiwania na reakcję użytkownika. Domyślnie sulogin będzie czekał wiecznie.

-h, --help
    Wyświetla pomoc i wychodzi.

-V, --version
    Wypisuje informację o wersji programu i wychodzi.

ZMIENNE ŚRODOWISKA
sulogin szuka zmiennych środowiskowych SUSHELL lub sushell, aby określić którą powłokę uruchomić. Jeśli zmienna środowiskowa nie jest ustawiona, to program spróbuje wykonać powłokę roota z pliku /etc/passwd. Jeśli to również się nie powiedzie, to na końcu wykorzystana zostanie powłoka /bin/sh.

AUTOR
sulogin była napisane przez Miquela van Smoorenburga dla sysvinit i później przeportowane dla util-linux przez Dave'a Reisnera i Karela Zaka.

DOSTĘPNOŚĆ
Polecenie sulogin jest częścią pakietu util-linux i jest dostępne z Archiwum jądra Linux (ftp://ftp.kernel.org/pub/linux/utils/util-linux/).

TŁUMACZENIE
Autorami polskiego tłumaczenia niniejszej strony podręcznika man są: Wojtek Kotwica (PTM) <wkotwica@post.pl> i Michał Kułach <michal.kulach@gmail.com>.

Polskie tłumaczenie jest częścią projektu manpages-pl; uwagi, pomoc, zgłaszanie błędów na stronie http://sourceforge.net/projects/manpages-pl/. Jest zgodne z wersją 2.28 oryginału.